<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetCardSource Method (IEdmFolderData5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolderData5 Interface : SetCardSource Method (IEdmFolderData5)

Visual Basic
C#
C++/CLI

lCardID
  ID of card to use

bsExtensions
  Semicolon-delimited list of extensions; e.g., "DOC;XLS"

Sets the specified file card ID to use for the specified file extensions.

# Syntax

Visual Basic |
--- | ---

    Sub SetCardSource( _
       ByVal lCardID As System.Integer, _
       Optional ByVal bsExtensions As System.String _
    )

C# |
--- | ---

    void SetCardSource(
       System.int lCardID,
       System.string bsExtensions
    )

C++/CLI |
--- | ---

    void SetCardSource(
    &   System.int lCardID,
    &   System.String^ bsExtensions
    )

#### Parameters

lCardID
  ID of card to use
bsExtensions
  Semicolon-delimited list of extensions; e.g., "DOC;XLS"

# Example

See the IEdmFolderData5 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmFolderData5 Interface
IEdmFolderData5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2